CSECT   CHKOUT
      SUBROUTINE CHKOUT
 
C     THIS SUBROUTINE CONVERTS OUTPUT REQUESTS INTO THEIR RESPECTIVE
C        PROPER FORMATS.
 
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      PARAMETER(ZERO=0.D0) 
 
      COMMON /CNTRLS/ CTROLS(23),XNTNDX
      COMMON /ACTYPE/ CK(101)
         character*1  ck
      COMMON /OUTDTA/ OUTBFR(1)
         COMPLEX*16   OUTBFR
 
      complex*16      fj
      data fj         /(0.d0,-1.d0)/
      DATA RATODG     /57.29577951d0/
 
      NOUT=nint(XNTNDX)
      DO 100 I=2,NOUT
      IF (CK(I).EQ.'R' .OR. CK(I).EQ.'D')  GO TO 1
      GO TO 100
   1  A=CDABS(OUTBFR(I))
CLOLI IF (A.EQ.0.d0) GO TO 100
CLOLI B  = fj*OUTBFR(I)
CLOLI BB =    OUTBFR(I)
      IF (ABS(REAL(A)).LE.ZERO) GO TO 100
      B  = REAL(fj*OUTBFR(I))
      BB =    REAL(OUTBFR(I))
      ANG=ATAN2(B,BB)
      IF (CK(I).EQ.'D') ANG=ANG*RATODG
      OUTBFR(I)=DCMPLX(A,ANG)
  100 CONTINUE
      RETURN
 
      END
